%global momorel 1

Name:		gnome-mag
Summary:	Screen magnification 
Version: 0.15.1
Release: %{momorel}m%{?dist}
License: 	GPL
Group:		User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.15/%{name}-%{version}.tar.bz2
NoSource: 0
URL: 		http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: libXcomposite-devel
BuildRequires: libXrender-devel
BuildRequires: libXext-devel
BuildRequires: pygtk2-devel
BuildRequires: gtk2-devel
BuildRequires: pygobject-devel
BuildRequires: gnome-python2
BuildRequires: gnome-desktop-devel
BuildRequires: ORBit2-devel
BuildRequires: glib2-devel
BuildRequires: at-spi-devel
BuildRequires: libbonobo-devel
BuildRequires: colorblind-devel
BuildRequires: gnome-python2-desktop-applet

%description
the gnome-mag magnification service definition and sample implementation.

%package colorblind
Summary: gnome-mag-colorblind
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: colorblind
Requires: python

%description colorblind
gnome-mag-colorblind

%package devel
Summary: gnome-mag-devel
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libbonobo-devel
Requires: glib2-devel
Requires: gtk2-devel
Requires: at-spi-devel
Requires: ORBit2-devel

%description devel
gnome-mag-devel

%prep
%setup -q

%build
%configure --with-x --disable-schemas-install --enable-colorblind-applet=yes
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post colorblind
gtk-update-icon-cache --quiet /usr/share/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for S in colorblind-applet.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/magnifier
%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome-mag
%{_datadir}/locale/*/*/*.mo
%{_libdir}/orbit-2.0/GNOME_Magnifier_module.so
%{_libdir}/orbit-2.0/GNOME_Magnifier_module.la
%{_mandir}/man1/magnifier.1.*

%files colorblind
%defattr (-, root, root)
%{_sysconfdir}/gconf/schemas/colorblind-applet.schemas
%{_libdir}/colorblind-applet
%{_libdir}/python2.5/site-packages/colorblind
%{_datadir}/colorblind
%{_datadir}/icons/hicolor/*/apps/colorblind-applet.*

%files devel
%defattr (-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/gnome-mag-1.0/GNOME_Magnifier.idl
%{_includedir}/gnome-mag-1.0

%changelog
* Sun Jul  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15.1-1m)
- update to 0.15.1

* Sat Apr 26 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.15.0-3m)
- add BuildRequires gnome-python2-desktop-applet

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.15.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15.0-1m)
- update to 0.15.0

* Sat Mar  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.10-2m)
- add BPR: colorblind
- add colorblind module

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.10-1m)
- update to 0.14.10

* Thu Sep 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.9-1m)
- update to 0.14.9

* Tue Aug 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.8-1m)
- update to 0.14.8

* Mon Aug 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.7-1m)
- update to 0.14.7

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.6-1m)
- update to 0.14.6

* Mon Jun  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-1m)
- update to 0.14.5

* Sat May 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.4-1m)
- update to 0.14.4

* Sat Mar 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-1m)
- update to 0.14.3

* Sat Mar  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-1m)
- update to 0.14.2

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.1-1m)
- update to 0.14.1

* Sun Dec 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0-1m)
- update to 0.14.0

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.1-1m)
- update to 0.13.1

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.12.6-2m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.6-1m)
- update to 0.12.6

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.5-1m)
- update to 0.12.5

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- update to 0.12.4

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-1m)
- update to 0.12.3

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2
- GNOME 2.12.2 Desktop

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.11-1m)
- version 0.11.11
- GNOME 2.8 Desktop

* Sat Dec 25 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10.10-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10.10-1m)
- version 0.10.10
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.10.5-1m)
- version 0.10.5

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.10.3-1m)
- version 0.10.3

* Mon Aug 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.2-2m)
- add defattr

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10.2-1m)
- version 0.10.2
